/**
  ******************************************************************************
  * @file         lcd_fonts_16x22.h
  * @brief        sharp fonts definition.
  *
  *
  ******************************************************************************
  *
  * Copyright (c) 2020-2022 OTTO Engineering, Inc.
  * All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
  * modification, are prohibited.
  *
  ******************************************************************************
  */

#ifndef __LCD_FONTS_16x22_H_
#define __LCD_FONTS_16x22_H_

//Header files
#include "stm32l4xx_hal.h"

// width x height = 16,22
//character: 0
static const uint8_t zero_16x22_image[] =
{
		0B00000111, 0B11110000,
		0B00011111, 0B11111000,
		0B00111111, 0B11111110,
		0B01111100, 0B00111110,
		0B01111100, 0B00111110,
		0B11111000, 0B00011111,
		0B11111000, 0B00011111,
		0B11111000, 0B00011111,
		0B11111000, 0B00001111,
		0B11111000, 0B00001111,
		0B11111000, 0B00001111,
		0B11111000, 0B00001111,
		0B11111000, 0B00001111,
		0B11111000, 0B00001111,
		0B11111000, 0B00001111,
		0B11111000, 0B00011111,
		0B11111000, 0B00011111,
		0B01111100, 0B00111110,
		0B01111100, 0B00111110,
		0B00111111, 0B11111100,
		0B00011111, 0B11111000,
		0B00000111, 0B11100000,
};

// width x height = 16,22
//character: 1
static const uint8_t one_16x22_image[] =
{
		0B00000011, 0B11100000,
		0B00001111, 0B11100000,
		0B00011111, 0B11100000,
		0B01111111, 0B11100000,
		0B11110011, 0B11100000,
		0B11100011, 0B11100000,
		0B00000011, 0B11100000,
		0B00000011, 0B11100000,
		0B00000011, 0B11100000,
		0B00000011, 0B11100000,
		0B00000011, 0B11100000,
		0B00000011, 0B11100000,
		0B00000011, 0B11100000,
		0B00000011, 0B11100000,
		0B00000011, 0B11100000,
		0B00000011, 0B11100000,
		0B00000011, 0B11100000,
		0B00000011, 0B11000000,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111110,
};

// width x height = 16,22
//character: 2
static const uint8_t two_16x22_image[] =
{
		0B00000111, 0B11100000,
		0B00111111, 0B11111000,
		0B11111111, 0B11111100,
		0B11111111, 0B11111110,
		0B11100000, 0B01111111,
		0B00000000, 0B01111111,
		0B00000000, 0B00111111,
		0B00000000, 0B00111111,
		0B00000000, 0B01111110,
		0B00000000, 0B01111100,
		0B00000000, 0B11111100,
		0B00000001, 0B11111000,
		0B00000011, 0B11110000,
		0B00000111, 0B11100000,
		0B00001111, 0B11000000,
		0B00011111, 0B10000000,
		0B00111111, 0B00000000,
		0B01111100, 0B00000000,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
};

// width x height = 16,22
//character: 3
static const uint8_t three_16x22_image[] =
{
		0B00000111, 0B11100000,
		0B00111111, 0B11111000,
		0B11111111, 0B11111100,
		0B11111111, 0B11111110,
		0B11100000, 0B01111111,
		0B00000000, 0B00111111,
		0B00000000, 0B00111111,
		0B00000000, 0B00111111,
		0B00000000, 0B01111100,
		0B00000001, 0B11111100,
		0B00111111, 0B11110000,
		0B00111111, 0B11111000,
		0B00111111, 0B11111100,
		0B00000000, 0B01111111,
		0B00000000, 0B00111111,
		0B00000000, 0B00111111,
		0B00000000, 0B00111111,
		0B10000000, 0B00111111,
		0B11110000, 0B11111111,
		0B11111111, 0B11111110,
		0B11111111, 0B11111100,
		0B00111111, 0B11110000,
};

// width x height = 16,22
//character: 4
static const uint8_t four_16x22_image[] =
{
		0B00000000, 0B11111000,
		0B00000001, 0B11111000,
		0B00000011, 0B11111000,
		0B00000111, 0B11111000,
		0B00001111, 0B01111000,
		0B00001111, 0B01111000,
		0B00011111, 0B01111000,
		0B00011110, 0B01111000,
		0B00111100, 0B01111000,
		0B01111000, 0B01111000,
		0B01111000, 0B01111000,
		0B11110000, 0B01111000,
		0B11110000, 0B01111000,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B00000000, 0B01111000,
		0B00000000, 0B01111000,
		0B00000000, 0B01111000,
		0B00000000, 0B01111000,
		0B00000000, 0B01111000,
};

// width x height = 16,22
//character: 5
static const uint8_t five_16x22_image[] =
{
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11110000, 0B00000000,
		0B11110000, 0B00000000,
		0B11110000, 0B00000000,
		0B11111000, 0B00000000,
		0B11111111, 0B11100000,
		0B11111111, 0B11111000,
		0B11111111, 0B11111110,
		0B11111111, 0B11111110,
		0B00000000, 0B01111111,
		0B00000000, 0B00111111,
		0B00000000, 0B00111111,
		0B00000000, 0B00111111,
		0B00000000, 0B00111111,
		0B10000000, 0B01111110,
		0B11111111, 0B11111100,
		0B11111111, 0B11111000,
		0B11111111, 0B11110000,
		0B01111111, 0B11000000,
};

// width x height = 16,22
//character: 6
static const uint8_t six_16x22_image[] =
{
		0B00000001, 0B11111000,
		0B00001111, 0B11111110,
		0B00001111, 0B11111110,
		0B00011111, 0B11111110,
		0B00111110, 0B00000000,
		0B01111000, 0B00000000,
		0B01111000, 0B00000000,
		0B01111000, 0B00000000,
		0B11111001, 0B11111000,
		0B11111111, 0B11111110,
		0B11111111, 0B11111110,
		0B11111111, 0B11111111,
		0B11111100, 0B00011111,
		0B11111000, 0B00001111,
		0B11111000, 0B00001111,
		0B01111000, 0B00001111,
		0B01111000, 0B00001111,
		0B01111100, 0B00011111,
		0B01111111, 0B11111110,
		0B00111111, 0B11111100,
		0B00011111, 0B11111000,
		0B00001111, 0B11110000,
};

// width x height = 16,22
//character: 7
static const uint8_t seven_16x22_image[] =
{
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B00000000, 0B00011110,
		0B00000000, 0B00111110,
		0B00000000, 0B01111100,
		0B00000000, 0B01111100,
		0B00000000, 0B11111000,
		0B00000000, 0B11111000,
		0B00000000, 0B11110000,
		0B00000001, 0B11110000,
		0B00000001, 0B11110000,
		0B00000011, 0B11100000,
		0B00000111, 0B11100000,
		0B00000111, 0B11100000,
		0B00001111, 0B11000000,
		0B00001111, 0B10000000,
		0B00001111, 0B00000000,
		0B00011111, 0B00000000,
		0B00011111, 0B00000000,
		0B00011111, 0B00000000,
};

// width x height = 16,22
//character: 8
static const uint8_t eight_16x22_image[] =
{
		0B00000111, 0B11110000,
		0B00011111, 0B11111100,
		0B00011111, 0B11111110,
		0B01111110, 0B01111110,
		0B01111000, 0B00011110,
		0B01111000, 0B00011110,
		0B01111000, 0B00011110,
		0B01111100, 0B00011110,
		0B01111111, 0B01111100,
		0B00011111, 0B11110000,
		0B00001111, 0B11110000,
		0B00001111, 0B11111000,
		0B00011111, 0B11111110,
		0B01111100, 0B01111110,
		0B11111000, 0B00011111,
		0B11111000, 0B00011111,
		0B11111000, 0B00011111,
		0B11111000, 0B00011111,
		0B01111110, 0B01111110,
		0B01111111, 0B11111110,
		0B01111111, 0B11111100,
		0B00001111, 0B11110000,
};

// width x height = 16,22
//character: 9
static const uint8_t nine_16x22_image[] =
{
		0B00001111, 0B11110000,
		0B00111111, 0B11111100,
		0B00111111, 0B11111100,
		0B11111111, 0B11111111,
		0B11110000, 0B00001111,
		0B11110000, 0B00001111,
		0B11110000, 0B00001111,
		0B11110000, 0B00001111,
		0B11110000, 0B00001111,
		0B11110000, 0B00001111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B00111111, 0B11111111,
		0B00001111, 0B11111111,
		0B00000000, 0B00001110,
		0B00000000, 0B00111100,
		0B00000000, 0B00111100,
		0B00000000, 0B00111100,
		0B00110000, 0B11111100,
		0B11111111, 0B11111100,
		0B11111111, 0B11110000,
		0B11111111, 0B11000000,
};

// width x height = 16,22
//character: E
static const uint8_t e_16x22_image[] =
{
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11110000, 0B00000000,
		0B11110000, 0B00000000,
		0B11110000, 0B00000000,
		0B11110000, 0B00000000,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11110000, 0B00000000,
		0B11110000, 0B00000000,
		0B11110000, 0B00000000,
		0B11110000, 0B00000000,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
		0B11111111, 0B11111111,
};

// width x height = 16,22
//character: N
static const uint8_t n_16x22_image[] =
{
		0B11110000, 0B00001110,
		0B11111000, 0B00001110,
		0B11111100, 0B00001110,
		0B11111100, 0B00001110,
		0B11111110, 0B00001110,
		0B11111110, 0B00001110,
		0B11111111, 0B00001110,
		0B11111111, 0B00001110,
		0B11110111, 0B10001110,
		0B11110111, 0B10001110,
		0B11110011, 0B11001110,
		0B11110011, 0B11001110,
		0B11110001, 0B11101110,
		0B11110001, 0B11101110,
		0B11110000, 0B11111110,
		0B11110000, 0B11111110,
		0B11110000, 0B01111110,
		0B11110000, 0B01111110,
		0B11110000, 0B00111110,
		0B11110000, 0B00111110,
		0B11110000, 0B00011110,
		0B11110000, 0B00011110,
};

// width x height = 16,22
//character: S
static const uint8_t s_16x22_image[] =
{
		0B00000111, 0B11100000,
		0B00001111, 0B11111000,
		0B00111111, 0B11111100,
		0B00111111, 0B11111100,
		0B00111111, 0B11111100,
		0B00111000, 0B00011110,
		0B00111000, 0B00001110,
		0B00111000, 0B00000000,
		0B00111111, 0B10000000,
		0B00011111, 0B11110000,
		0B00001111, 0B11111100,
		0B00000111, 0B11111100,
		0B00000000, 0B01111110,
		0B00000000, 0B00011111,
		0B01111000, 0B00001111,
		0B01111000, 0B00001111,
		0B01111000, 0B00001111,
		0B00111111, 0B11111110,
		0B00111111, 0B11111110,
		0B00111111, 0B11111110,
		0B00001111, 0B11111000,
		0B00000111, 0B11110000,
};

// width x height = 16,22
//character: W
static const uint8_t w_16x22_image[] =
{
		0B11100001, 0B10000011,
		0B11100001, 0B10000111,
		0B11100011, 0B11000111,
		0B01100011, 0B11000111,
		0B01100011, 0B11000110,
		0B01100011, 0B11000110,
		0B01110011, 0B11000110,
		0B01110010, 0B11000110,
		0B01110010, 0B11101110,
		0B01110010, 0B11101110,
		0B00110110, 0B01101110,
		0B00110110, 0B01101110,
		0B00110110, 0B01101100,
		0B00110110, 0B01101100,
		0B00111110, 0B01111100,
		0B00111110, 0B01111100,
		0B00111110, 0B01111100,
		0B00111100, 0B00111100,
		0B00011100, 0B00111100,
		0B00011100, 0B00111000,
		0B00011100, 0B00111000,
		0B00011100, 0B00111000,
};


#endif
